#ifndef __OFF_OBJECT_H
#define __OFF_OBJECT_H

#include <GL/gl.h>
#include <GL/glu.h>
#include "linalg.h"

typedef struct _quad_struct {
    int a, b, c, d;
    Vector *normal;
} quad_struct;

class OFF_Object {
private:
    Vector *data;
    quad_struct *quads;
    int nverts, npolys, k;
public:
    OFF_Object(char *name);
    ~OFF_Object();

    void Draw();
    void DrawColor();
    int GetNrVerts();
    int GetNrPolys();
    Vector* GetVectorData();
    quad_struct* GetQuadData();
};

#endif
